// ========================== MSP430F1xxx Ʈ  α׷ ==================
//  CPU : MSP430F1232
//     ¥ : 2008-
//      : Ver1.0
//    : www.cpuplaza.com
// Ϸ : mspgcc+Dev-C++
// [ ]  : ACLK : 32.768Khz
//            MCLK : DCO(4.8MHz)
//            SMCLK: DCO(4.8MHz)
// ----------------------------------------------------------------------------
// ⺻ 
#include <io.h>
#include <signal.h>
#include <iomacros.h>

// Լ 

//  

// ===============================  α׷ ==============================
// [μ]: void
// []: P1.0-7 : ALL Output
//         P2.0-5 : ALL Output
//         P3.0-7 : ALL Output
//          1 0 
// ---------------------------------------------------------------------------
int main(void)
{
long datal = 0x000001;
long dly;

	WDTCTL = WDTPW + WDTHOLD;				// Init watchdog timer(stop)
	for(dly = 0; dly < 0x4000; dly++) ;			// XTAL  ð 
// Rsel = 7, DCO = 7, MOD = 0, DCOR = 0 TA = 25 :: DCO ִ ļ (4.4 - 5.4Mhz)
// XTX  : Low Freqency
// DIVx : ACLK = LXFTCLK(32.768KHz)
// Register Select : 7
	BCSCTL1 = XT2OFF + RSEL2 + RSEL1 + RSEL0;
	DCOCTL = 0xe0;						// DCO Max Freqency

	P1DIR = 0xff;						// Port1 All  Output
	P2DIR = 0x3f;						// Port2 6Bit Output
	P3DIR = 0xff;						// Port3 All  Output
	while(1){
		P1OUT = ~datal & 0xff;				// PORT1 Out
		P2OUT = (~datal >> 8) & 0x3f;			// PORT2 Out
		P3OUT = (~datal >> 16) & 0xff;			// PORT3 Out
		for(dly = 0; dly < 300000; dly++);		// delay 564ms
		datal = datal << 1;				//  Ʈ << 1
		if(datal & 0x1000000L) datal = 0x0001;
	}
}
